Bug 1812085 - kubernetes-networking-namespace-pods dashboard doesn't exist
Summary: kubernetes-networking-namespace-pods dashboard doesn't exist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Damien Grisonnet
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 13:55 UTC by Vadim Rutkovsky
Modified: 2021-02-24 15:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:10:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
screens (1.46 MB, video/webm)
2020-08-11 03:28 UTC, Junqi Zhao
no flags Details
"Kubernetes / Networking / Cluster" configmap (64.78 KB, text/plain)
2020-08-11 03:29 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 962 0 None closed Bug 1812085: restore pod networking dashboards 2021-02-04 09:58:29 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:11:53 UTC

Description Vadim Rutkovsky 2020-03-10 13:55:08 UTC
Description of problem:

Grafana dashboard to drill down network usage per pod in particular namespace is missing.

1. Open Grafana
2. Select "Kubernetes / Networking / Cluster" dashboard
3. Click on any namespace in "Current Status" pane

Grafana redirects to kubernetes-networking-namespace-pods dashboard - but it can't be found

Reproduced on 4.4.0-0.okd-2020-03-10-052608

Comment 9 Junqi Zhao 2020-08-11 03:27:00 UTC
tested with 4.6.0-0.nightly-2020-08-10-180431, still see 404 error, see the attached screen record

Comment 10 Junqi Zhao 2020-08-11 03:28:29 UTC
Created attachment 1711031 [details]
screens

Comment 11 Junqi Zhao 2020-08-11 03:29:22 UTC
Created attachment 1711032 [details]
"Kubernetes / Networking / Cluster" configmap

Comment 14 Sergiusz Urbaniak 2020-09-30 08:51:47 UTC
Reassigning to Damien

Comment 15 Sergiusz Urbaniak 2020-10-02 13:28:34 UTC
No capacity to work on this currently.

Comment 17 hongyan li 2020-10-22 05:53:42 UTC
The issue still exists in payload 4.7.0-0.nightly-2020-10-21-001511

Comment 18 hongyan li 2020-10-23 06:02:27 UTC
Test with payload 4.7.0-0.nightly-2020-10-22-175439

1. Open Grafana
2. Select "Kubernetes / Networking / Cluster" dashboard
3. Click on any namespace in "Current Status" pane

kubernetes-networking-namespace-pods dashboard displays well

Comment 22 errata-xmlrpc 2021-02-24 15:10:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.